class CreateCachedQueries < ActiveRecord::Migration
  def self.up
    create_table :cached_queries do |t|
      t.column :uri, :string
      t.column :body, :binary
      t.column :time, :timestamp
    end
  end

  def self.down
    drop_table :cached_queries
  end
end
