require 'tuple_stream'

class Entities < TupleStream
  define_field :name, :string
  define_field :full_name, :string
  define_field :domain, :string
  define_field :category, :string
  define_field :is_entity, :integer
end

def split_entity_and_domain(entity)
  if entity =~ /([^\(\)]+)(?:\(([^\(\)]+)\))?/
    return [$1, $2 || '']
  else
    return [entity, '']
  end
end

if $0 == __FILE__
  pp split_entity_and_domain('Dummy (sdfdsf)')
  pp split_entity_and_domain('rdsger gsre gserg reg')
  pp split_entity_and_domain('rdsger gsre gserg reg (sdf wefewf)')
end
