class CreateCategoryPages < ActiveRecord::Migration
  def self.up
    create_table :category_pages, :id => false do |t|
      t.string :title, :category
    end
    add_index(:category_pages, [:category])
  end
  
  def self.down
    drop_table :category_pages
  end
end
