class EvalController < ApplicationController
  @@data = nil
  
  def initialize
    unless @@data
      if File.exists?('e:/wiki/evalfile.out.dat')
        File.open('e:/wiki/evalfile.out.dat', 'rb') do |file|
          @@entities = Marshal.load(file)
        end
        @@byid = {}
        @@bytitle = {}
        @@entities.each do |entity|
          @@byid[entity[:id]] = entity
          @@bytitle[entity[:title]] = entity
        end
      else
        File.open('e:/wiki/evalfile.dat', 'rb') do |file|
          @@data = Marshal.load(file)
        end
      
        @@entities = []
        @@byid = {}
        @@bytitle = {}
        @@data.each do |key, value|
          id = 'cb' + @@entities.length.to_s
          entity = {:title => key, :text => value, :is_entity => false, :id => id}
          #        @@idlookup[id] = entities.length
          @@byid[id] = entity
          @@bytitle[key] = entity
          @@entities << entity
        end
      end
    end
  end
  
  def eval_entities
    @offset = (params[:offset] || '0').to_i
    @offset = 0 if @offset < 0
    @entities = @@entities[@offset..@offset + 50]
  end
  
  def eval_preview
    id = params[:id]
    @entity = @@byid[id]
  end
  
  def store_eval_entities
    params.each do |key, value|
      puts "#{key}=#{value}"
      if @@byid.has_key?(key)
        @@byid[key][:is_entity] = value == 'isentity'
      end
    end
    
    File.open('e:/wiki/evalfile.out.dat', 'wb') do |file|
      Marshal.dump(@@entities, file)
    end
    
    redirect_to :action => 'eval_entities', :offset => params[:offset]
  end
end
