require 'WikiMiner/db'
require 'tuple_stream'
require 'WikiMiner/tasks'

#Links.sort2 :target_order_by => :dst

def find_titles_in_category(category) 
  db = Config[:db]
  db.execute('SELECT title FROM category_pages WHERE category = :category', :category => category)
end

if false
  people = {}
  find_titles_in_category('Living people').each { |x| people[x['title']] = 1 }

  Links.open :mode => :write, :name => :people_name do |stream|
    Links.open :mode => :read_all, :order_by => :dst do |src_namespace, src, dst_namespace, dst, caption, type, weight|
      if people[dst]
        stream.write(src_namespace, src, dst_namespace, dst, caption, type, weight)
      end
    end
  end
end

def flush_aggregate(name, aggregate)
  if aggregate.length > 4
    puts "#{name}"
    aggregate.each_pair { |key, value| puts "---#{key} (#{value})"}
  end
end

name = nil
aggregate = {}

Links.open :name => :people_name, :mode => :read_all do |src_namespace, src, dst_namespace, dst, caption, type, weight|
  if dst.length > 0
    if name != dst
      flush_aggregate(name, aggregate) if name
      name = dst
      aggregate = {}
    end
  
    aggregate[caption] = aggregate.fetch(caption, 0) + 1
  end
end
flush_aggregate(name, aggregate) if name
